Subject: Re: bug#16582: Bug: tramp shell command doesn't read stdin

From: Sylvain Chouleur <[email-masked]>
Date: Wed, 5 Feb 2014 22:01:58 +0100

that's great! I didn't think about this one, it works very well.

Thank you a lot

-- 
Sylvain

2014-02-05 Michael Albinus <[email-masked]>:

> Sylvain Chouleur <[email-masked]> writes:
>
> > Yes, that is the problem I'm trying to explain since the beginning, I'm
> > please we have finally agreed on what was the issue :)
>
> What about this one (the new tramp-end-heredoc patch is already in):
>
> --8<---------------cut here---------------start------------->8---
> *** /home/albinmic/src/tramp/lisp/tramp-sh.el.~master~  2014-02-05
> 16:27:23.314546196 +0100
> --- /home/albinmic/src/tramp/lisp/tramp-sh.el   2014-02-05
> 16:24:58.391993324 +0100
> ***************
> *** 2720,2726 ****
>                                (file-remote-p default-directory)
>                                tramp-initial-end-of-output))
>                       (if heredoc
> !                         (format "%s\n%s\n%s"
>                                   program (car args) tramp-end-of-heredoc)
>                         (mapconcat 'tramp-shell-quote-argument
>                                    (cons program args) " ")))))
> --- 2720,2726 ----
>                                (file-remote-p default-directory)
>                                tramp-initial-end-of-output))
>                       (if heredoc
> !                         (format "%s\n(\n%s\n) </dev/tty\n%s"
>                                   program (car args) tramp-end-of-heredoc)
>                         (mapconcat 'tramp-shell-quote-argument
>                                    (cons program args) " ")))))
> --8<---------------cut here---------------end--------------->8---
>
> Best regards, Michael.
>